import { SelectGroup, SelectOption } from './type';

export declare function isSelectGroup(option: SelectOption | SelectGroup): option is SelectGroup;
export declare function isSelectOption(option: SelectOption | SelectGroup): option is SelectOption;
export declare function findOptionInGroupsOrOptions(options: SelectOption[] | SelectGroup[], value: string): SelectOption | undefined;
export declare function findNextOptionInGroupsOrOptions(options: SelectOption[] | SelectGroup[], step: number, value?: string): SelectOption | undefined;
